%define upstream_name    WWW-Netflix
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Get and set ratings and queue for any Netflix account
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::SSL)
BuildRequires: perl(WWW::Mechanize)
BuildRequires: perl(YAML)
BuildArch: noarch

%description
The included 'netlix_mover' script does the work of retrieving ratings and
queued movies from one account or saving them to another account. You will
probably just want to use it.

This module is designed to pull down every movie you've ever rated using
your Netflix account, or a list of the movies in your queue. It can also be
used to set the ratings or the queue on another account. It would be a good
idea to use this if you were looking to transfer your ratings or your queue
to another Netflix account.

Currently does not work for "Not Interested" ratings. It would also be nice
to have methods to clear ratings and to remove a movie from the queue.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/netflix_mover
%{_mandir}/man1/netflix_mover.1*



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.50.0-10.mga9
+ Revision: 1817368
- Mageia 9 Mass Rebuild
+ ovitters <ovitters>
- use _mandir macro

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-9.mga8
+ Revision: 1498257
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-8.mga7
+ Revision: 1272636
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-7.mga6
+ Revision: 1035788
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.50.0-6.mga6
+ Revision: 944746
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 742133
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 686851
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 533018
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 dlucio <dlucio> 0.50.0-2.mga4
+ Revision: 470599
- bump release

* Fri Jun 21 2013 dlucio <dlucio> 0.50.0-1.mga4
+ Revision: 445323
- imported package perl-WWW-Netflix


* Thu Jun 20 2013 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
